/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/

var ls_width = $(window).width();
var ls_height = $(window).height();

$(window).resize(function(){
	ls_width = $(window).width();
	ls_height = $(window).height();
});

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义用户当前全局参数
var ls_node=null;//当前选中的Node
queryData.FIELD_UNIT_ID_IS_PARENT='A';
var g_id = $.getUrlParam('FIELD_G_ID');



/**
 * 序号：6
 * 功能：加载单位树列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
var setting = setInitTreeGroup("NAME","NAME","UUID","PARENT_ID");
loadTreeGroup("jwAppsUserData_listALLUserUnit?FIELD_G_ID="+g_id,"usertab_user_tree","UUID","1_0");

function getTreeNode(treeNode){
	parent.$('#return_text').text(treeNode);
}
function defautClick(zTree,treeNode){
	var nodes = zTree.getCheckedNodes(true); 
	v="";
	for(var i=0;i<nodes.length;i++){
	v+=nodes[i].UUID + ",";
	}
	getTreeNode(v);
}

